MCP Tools Reference: auditmanager.googleapis.com

Tool: generate_audit_scope_report

Generates an audit scope report for the given compliance framework. Based on assets present in the selected scope and predefined compliance checks for given compliance controls, this generates an audit task breakdown against required compliance controls. Scope format: 'projects/{project}/locations/{location}'. CRITICAL: For {location}, use the location specified by the user. If no location is specified, prompt the user to provide one. Do not use 'global'. The location must match the chosen Regional Endpoint (REP) region (e.g., us-central1). Framework format: 'organizations/{org}/locations/{location}/frameworks/{id}' or 'projects/{project}/locations/{location}/frameworks/{id}'. Example IDs: 'builtin-aipp', 'builtin-security-essentials'. If 'complianceFramework' is unknown, prompt the user for it. Suggest they list frameworks via: 'gcloud compliance-manager frameworks list --project={project} --location=global' or 'gcloud compliance-manager frameworks list --organization={organization_id} --location=global'

The following code sample shows how to use curl to call the generate_audit_scope_report MCP tool.

Curl Request
curl --location 'https://auditmanager.us-central1.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "generate_audit_scope_report",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GenerateAuditScopeReport.

GenerateAuditScopeReportRequest

JSON representation
{
  "scope": string,
  "complianceStandard": string,
  "reportFormat": enum (AuditScopeReportFormat),
  "complianceFramework": string
}
Fields
scope

string

Required. Project or folder that the audit scope report is generated for, in one of the following formats:

  • projects/{project}/locations/{location}
  • folders/{folder}/locations/{location}
  • organizations/{organization}/locations/{location}
complianceStandard
(deprecated)

string

Optional. Deprecated. The standard (industry or regulatory requirements) that the audit scope report is run against.

Use the compliance_framework field instead.

reportFormat

enum (AuditScopeReportFormat)

Required. Format for the audit scope report.

complianceFramework

string

Required. Framework (set of controls) that the audit scope report is generated against. For example, NIST_800_53.

AuditScopeReportFormat

Format for the audit scope report.

Enums
AUDIT_SCOPE_REPORT_FORMAT_UNSPECIFIED Default value. This value is unused.
AUDIT_SCOPE_REPORT_FORMAT_ODF Open Document format.

Output Schema

Audit scope report.

AuditScopeReport

JSON representation
{
  "name": string,

  // Union field audit_report can be only one of the following:
  "scopeReportContents": string
  // End of list of possible types for union field audit_report.
}
Fields
name

string

Identifier. Name for the audit scope report, in one of the following formats:

  • projects/{project}/locations/{location}/auditScopeReports/{audit_scope_report}
  • folders/{folder}/locations/{location}/auditScopeReports/{audit_scope_report}
  • organizations/{organization}/locations/{location}/auditScopeReports/{audit_scope_report}
Union field audit_report. Specific format or delivery method for the exported audit scope report. audit_report can be only one of the following:
scopeReportContents

string (bytes format)

Audit scope report content in byte format.

A base64-encoded string.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌